# Interface methods for submodule: CyclicShiftImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: CyclicShiftImageFilter
class CyclicShiftImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetShift(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetShift(self) -> Sequence[int]:
		""""""
		...

